Bug 5844 - [UPDATE REQUEST] Qt Creator 3.3.1 -> 3.4.1
: [UPDATE REQUEST] Qt Creator 3.3.1 -> 3.4.1
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-06-26 20:05 MSD by Andrey Bondrov
Modified: 2015-07-07 15:55 MSD (History)
3 users (show)

See Also:
RPM Package: qt-creator
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Bondrov 2015-06-26 20:05:10 MSD
New version of Qt Creator with better support for latest Qt5 versions was released. We also need to add cppcheck plugin support to Qt Creator.
Comment 1 Andrey Bondrov 2015-06-26 20:08:09 MSD
Advisory: "New Qt Creator version 3.4.1. It comes with better support for latest Qt5 versions. We also included cppcheck plugin to Qt Creator packages."

https://abf.rosalinux.ru/build_lists/2514160
https://abf.rosalinux.ru/build_lists/2514161
Comment 2 FirstLevel 2015-06-30 11:08:28 MSD
I have installed old version and upgraded to new version in 32bit Fresh R5 (virtual machine).
After launching I have an error:
[sergei32@r5-32 ~]$ qtcreator
libGL error: pci id for fd 16: 80ee:beef, driver (null)
libGL error: core dri or dri2 extension not found
libGL error: failed to load driver: vboxvideo
OpenGL Warning: glXCreatePbuffer not implemented by Chromium
Unrecognized OpenGL version
Unrecognized OpenGL version
Unrecognized OpenGL version
Unrecognized OpenGL version
Ошибка сегментирования (слепок снят)
[sergei32@r5-32 ~]$
Comment 3 Andrey Bondrov 2015-06-30 11:13:25 MSD
(In reply to comment #2)
> I have installed old version and upgraded to new version in 32bit Fresh R5
> (virtual machine).
> After launching I have an error:

It's a known issue with all Qt5 applications running in VirtualBox. You need to disable 3D acceleration in virtual machine settings.
Comment 4 FirstLevel 2015-06-30 14:17:44 MSD
qt-creator

32bit
install old, update - ok
install new - ok


64bit
install old, update - ok
install new - ok

I have not founf any localization issues
Comment 5 FirstLevel 2015-06-30 15:10:40 MSD
Test sample project has compiled successfully
Comment 6 Vladimir Potapov 2015-07-01 12:39:59 MSD
The update is sent to expanded testing
**************************************
Comment 7 Andrey Bondrov 2015-07-01 18:01:41 MSD
(In reply to comment #2)
> I have installed old version and upgraded to new version in 32bit Fresh R5
> (virtual machine).
> After launching I have an error:
> [sergei32@r5-32 ~]$ qtcreator
> libGL error: pci id for fd 16: 80ee:beef, driver (null)
> libGL error: core dri or dri2 extension not found
> libGL error: failed to load driver: vboxvideo
> OpenGL Warning: glXCreatePbuffer not implemented by Chromium
> Unrecognized OpenGL version
> Unrecognized OpenGL version
> Unrecognized OpenGL version
> Unrecognized OpenGL version
> Ошибка сегментирования (слепок снят)
> [sergei32@r5-32 ~]$

Can you please check if this segfault still happens with Qt5 update from: 

https://abf.rosalinux.ru/build_lists/2515686
https://abf.rosalinux.ru/build_lists/2515685

But make sure to enable 3D acceleration in virtual machine settings.

Test scenario:
1. Enable 3D acceleration.
2. Run Qt Creator, it should segfault.
3. Update Qt5 from container and reboot.
4. Run Qt Creator, it should work.

If it works, I'll create update request for Qt5.
Comment 8 FirstLevel 2015-07-02 09:15:26 MSD
> Test scenario:
> 1. Enable 3D acceleration.
> 2. Run Qt Creator, it should segfault.
> 3. Update Qt5 from container and reboot.
> 4. Run Qt Creator, it should work.
> 
> If it works, I'll create update request for Qt5.

Before update:
[sergei32@r5-32 ~]$ qtcreator
libGL error: pci id for fd 16: 80ee:beef, driver (null)
libGL error: core dri or dri2 extension not found
libGL error: failed to load driver: vboxvideo
OpenGL Warning: glXCreatePbuffer not implemented by Chromium
Unrecognized OpenGL version
Unrecognized OpenGL version
No tool chain set from kit "Desktop".
No tool chain set from kit "Desktop".
Unrecognized OpenGL version
Unrecognized OpenGL version
Ошибка сегментирования (слепок снят)


After update^
[sergei32@r5-32 ~]$ qtcreator
"Warning reading /home/sergei32/.config/QtProject/qtcreator/profiles.xml:12: Failed to read element "value"."
libGL error: pci id for fd 15: 80ee:beef, driver (null)
libGL error: core dri or dri2 extension not found
libGL error: failed to load driver: vboxvideo
OpenGL Warning: glXCreatePbuffer not implemented by Chromium
Unrecognized OpenGL version
Unrecognized OpenGL version
"Warning reading /home/sergei32/.config/QtProject/qtcreator/profiles.xml:12: Failed to read element "value"."
No tool chain set from kit "Desktop".
No tool chain set from kit "Desktop".
Unrecognized OpenGL version
Unrecognized OpenGL version
Ошибка сегментирования (слепок снят)

Nothing changes :(
Comment 9 Vladimir Potapov 2015-07-06 21:50:58 MSD
qt-creator-3.4.1-1
https://abf.rosalinux.ru/build_lists/2514160
https://abf.rosalinux.ru/build_lists/2514161
***************************** Advisory ****************************
New Qt Creator version 3.4.1. It comes with better support for latest Qt5 versions. We also included cppcheck plugin to Qt Creator packages.
*******************************************************************
QA Verified